侧边栏壁纸
博主头像
微笑涛声

一个在编程学习中逐渐变强的孩子! 热爱编程,喜欢软件开发!

  • 累计撰写 129 篇文章
  • 累计创建 58 个标签
  • 累计收到 2 条评论
隐藏侧边栏

Android Studio项目转为Eclipse开发以后遇到的问题

微笑涛声
2020-04-11 / 0 评论 / 0 点赞 / 57 阅读 / 855 字
温馨提示:
本文最后更新于 2021-06-16,若内容或图片失效,请留言反馈。部分素材来自网络,若不小心影响到您的利益,请联系我们删除。

Android SDK结构不同导致报错

Android StudioEclipse不能共用一套Android SDK,因为使用SDK结构不一样。把Android Studio项目转为eclipse开发,首先在eclipse新建一个Android项目,然后将Java逻辑代码XML布局文件复制到新项目里面即可。不过如果eclipse里面配置的Android SDK还是以前的那个的话,很有可能会报错,在Java逻辑代码处import android.support.v7.app.AppCompatActivity;这里会报错提示找不到support.v7这个包。这个还会引起其他的一系列报错。其实这是因为Android Studio使用的SDK是另外一个包,而eclipse需要的这个包是不存在的,这个就需要我们下载这个包,然后导入。

## 下载安装support包

1、下载support、蓝奏云地址

▶ support

2、下载好以后解压,放到SDK的以下位置

3、打开SDK,可以看到刚刚复制进去的版本,第一个是Android Studio使用的版本,第二个是eclipse使用的版本。

4、来到eclipse,新建项目,选择以下这个。

5、位置选择SDK下的这个:D:\psoftware\AndroidSDK\extras\android\support\v7\appcompat,然后新建项目即可

6、回到你的项目,在你的项目右键,选择最底下的属性。

7、点击ADD,选择刚刚导入的那个包

8、出现绿色的图标表示正确,点击应用

9、在项目左侧可以看到刚刚导入的包,现在项目的import android.support.v7.app.AppCompatActivity;就不会报错了。没有其他问题的话项目可以正常跑起来。

0

评论